Bug 204360 - CVE-2006-3741 sys_perfmonctl() file descriptor reference count issue
CVE-2006-3741 sys_perfmonctl() file descriptor reference count issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anil S Keshavamurthy
Brian Brock
impact=moderate,source=redhat,reporte...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-28 14:02 EDT by Marcel Holtmann
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0689
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 15:19:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2006-08-28 14:02:25 EDT
From Stephane Eranian:

I discovered a security problem with perfmon2.0 in mainline kernel. Under
certain circumstances, the perfmonctl() system call may not correctly manage the
file descriptor reference count. As a consequence, the system may run out of
file structure.
Comment 5 Anil S Keshavamurthy 2006-08-28 17:42:16 EDT
(In reply to comment #3)
> Use bug 204400 for RHEL3 then.
> 
Sorry about the noice here.. Checked the sources for RHEL3 U8 (kernel 2.4.21-47)
and looks like the fix is not required for RHEL3. I will go ahead and update the
bugzilla 204400.
Comment 8 Marcel Holtmann 2006-08-30 06:52:02 EDT
Running the test case on a system where the default nfile limits for a user are
still in place the user session will run out of file handles:

[test@bohr ~]$ ./test_fd1 
fopen: Too many open files in system
[test@bohr ~]$ bash
-bash: start_pipeline: pgrp pipe: Too many open files in system
-bash: /bin/bash: Too many open files in system

Any further login attempt for this user and all other non-privileged users will
fail after this test.

Since this affects all unprivileged users, it might affect unprivileged
processes like Apache childs etc.
Comment 9 Jason Baron 2006-09-21 20:39:47 EDT
committed in stream U5 build 42.13. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 10 Jason Baron 2006-09-26 10:31:16 EDT
committed in stream E5 build 42.0.3
Comment 11 RHEL Product and Program Management 2006-09-27 18:37:09 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 14 Red Hat Bugzilla 2006-10-05 15:19:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0689.html

Note You need to log in before you can comment on or make changes to this bug.